Api key provided on integrations tab in Easyflow platform.
Get customers
Returns the details of a customer.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
Path parameters
customerIdstringrequired
Responses
200returns the details of a customer
returns the details of a customer
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
customerobjectShow child attributesHide child attributes
businessobjectShow child attributesHide child attributes
bankAccountsarray of objectsattachmentsarray of objectscollaboratorsarray of objectsidstringnamestringownerobjectplanobject
usernullidstringcreatedAtstringupdatedAtstringdeletedAtstringdeletedbooleannamestringemailstringphoneobjectShow child attributesHide child attributes
areaCodestringdddstringnumberstringisMobileboolean
addressobjectShow child attributesHide child attributes
zipCodestringstreetstringnumberstringcomplementstringneighborhoodstringcitystringstatestringThe state must send an abbreviation (Example: sp)
deliveryAddressobjectShow child attributesHide child attributes
zipCodestringstreetstringnumberstringcomplementstringneighborhoodstringcitystringstatestringThe state must send an abbreviation (Example: sp)
documentobjectShow child attributesHide child attributes
typestringnumberstring
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
404The customer does not exist or does not belong to your business.
The customer does not exist or does not belong to your business.
Content typeapplication/jsonobject
statusCodeintegerrequiredHTTP status code.
messagestringrequiredExplanation of the error.
errorstringName of the HTTP status, such as
Bad RequestorConflict.errorCodestringCode that identifies the error. Present only on some errors.
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.